# class KConfigINIBackEnd | Class for KDE INI-style configuration file loading/saving. More...
Definition | `#include <kconfigbackend.h>`
Inherits | KConfigBackEnd [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KConfigINIBackEnd (KConfigBase *_config, const QString &_fileName, const char * _resType, bool _useKDEGlobals = true)
- virtual ~KConfigINIBackEnd ()
- bool parseConfigFiles ()
- virtual void sync (bool bMerge = true)

#### Protected Methods

- void parseSingleConfigFile (QFile& rFile, KEntryMap *pWriteBackMap = 0L, bool bGlobal = false)
- bool writeConfigFile (QString filename, bool bGlobal = false, bool bMerge = true)
- virtual KConfigBase::ConfigState getConfigState () const

## Detailed Description

Class for KDE INI-style configuration file loading/saving.

KConfigINIBackEnd (KConfigBase *_config, const QString &_fileName, const char * _resType, bool _useKDEGlobals = true) | ### KConfigINIBackEnd

Construct a configuration back end.

Parameters:

_config | Specifies the configuration object which values will be passed to as they are read, or from where values to be written to will be obtained from.
_fileName | The name of the file in which config data is stored. All registered configuration directories will be looked in in order of decreasing relevance.
_resType | the resource type of the fileName specified, _if_ it is not an absolute path (otherwise this parameter is ignored).
_useKDEGlobals | If true, the user's system-wide kdeglobals file will be imported into the config object. If false, only the filename specified will be dealt with.

~KConfigINIBackEnd () | ### ~KConfigINIBackEnd

[virtual]

Destructor.

bool parseConfigFiles () | ### parseConfigFiles

Parse all INI-style configuration files for a config object.

Returns: Whether or not parsing was successful.

Reimplemented from KConfigBackEnd.

void sync (bool bMerge = true) | ### sync

[virtual]

write configuration data to file(s).

Reimplemented from KConfigBackEnd.

void parseSingleConfigFile (QFile& rFile, KEntryMap *pWriteBackMap = 0L, bool bGlobal = false) | ### parseSingleConfigFile

[protected]

Parse one configuration file.

Parameters:

rFile | The configuration file to parse
pWriteBackMap | If specified, points to a KEntryMap where the data read from the file should be stored, instead of inserting them directly into the configuration object. Use this area as a "scratchpad" when you need to know what is on disk but don't want to effect the configuration object.
bGlobal | Specifies whether entries should be marked as belonging to the global KDE configuration file rather than the application-specific KDE configuration file(s).

bool writeConfigFile (QString filename, bool bGlobal = false, bool bMerge = true) | ### writeConfigFile

[protected]

Write configuration file back.

Parameters:

filename | The name of the file to write.
bGlobal | Specifies whether to write only entries which are marked as belonging to the global KDE config file. If this is false, it skips those entries.
bMerge | Specifies whether the old config file already on disk should be merged in with the data in memory. If true, data is read off the disk and merged. If false, the on-disk file is removed and only in-memory data is written out.

Returns: Whether some entries are left to be written to other files.

KConfigBase::ConfigState getConfigState () | ### getConfigState

[protected const virtual]

Retrieve the state of the app-config object.

See also: KConfig::getConfigState

Reimplemented from KConfigBackEnd.

- Version: $Id: kconfigbackend.h,v 1.14 2000/09/25 03:53:04 waba Exp $
- Author: Preston Brown <pbrown@kde.org>, Matthias Kalle Dalheimer <kalle@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.